<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author			fredy.wilches

@version 		1.0
@description 	Pantalla para consulta de tramites de IPER
    
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml" id="uno">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Consultar Trámites de Interrelación Catastro-Registro::.</ui:define>
    <ui:define name="content">

        <script type="text/javascript"
                src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
        <script type="text/javascript">
            function inicializarAutotab() {
                $(document).ready(
                        function () {
                            $(
                                    '##busquedaTramitesForm'
                                    + validColonString() + 's1,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's2,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's3,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's4,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's5,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's6,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's7,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's8,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's9,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's10,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's11,'
                                    + '##busquedaTramitesForm'
                                    + validColonString() + 's12')
                                    .autotab_magic().autotab_filter('numeric');
                        });
            }

            function cambioDpto() {
                //alert('lola: cambio depto');
                $('#busquedaTramitesForm' + validColonString() + 's1').val(
                        $(
                                '#busquedaTramitesForm' + validColonString()
                                + 'consultaPredioDepartamento').val());
                $('#busquedaTramitesForm' + validColonString() + 's2').val(
                        $(
                                '#busquedaTramitesForm' + validColonString()
                                + 'consultaPredioMunicipio').val());
            }

            function cambioMunicipio() {
                //alert('lola: cambio muni');
                $('#busquedaTramitesForm' + validColonString() + 's2').val(
                        ($('#busquedaTramitesForm' + validColonString()
                                + 'consultaPredioMunicipio').val()).substring(
                        2, 5));
            }
        </script>

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:focus />
        <p:messages id="msgsGSB" showDetail="false" globalOnly="false" />

        <h:panelGrid width="100%">

            <h:form id="busquedaTramitesForm">
                <p:messages id="errores" showDetail="false" globalOnly="false" />
                <h:panelGrid>
                    <p:panel header="Criterios de Consulta" >

                        <h:panelGrid columns="1" width="100%">
                            <h:panelGrid columns="7" width="100%">

                                <h:outputLabel for="consultaPredioDepartamento"
                                               value="Departamento: " styleClass="outputLabelStyle" />
                                <h:selectOneMenu id="consultaPredioDepartamento"
                                                 label="Departamento"
                                                 value="#{tramitesIperMB.datosConsultaPredio.departamentoId}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems value="#{tramitesIperMB.departamentosItemList}" />
                                    <p:ajax listener="#{tramitesIperMB.onChangeDepartamento}"
                                            update="busquedaTramitesForm" onstart="statusDialog2.show();"
                                            oncomplete="cambioDpto(); statusDialog2.hide();" />
                                </h:selectOneMenu>

                                <h:outputLabel for="consultaPredioMunicipio" value="Municipio: "
                                               styleClass="outputLabelStyle" />
                                <h:selectOneMenu id="consultaPredioMunicipio" label="Municipio"
                                                 value="#{tramitesIperMB.datosConsultaPredio.municipioId}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems value="#{tramitesIperMB.municipiosItemList}" />
                                    <p:ajax onstart="statusDialog2.show();"
                                            oncomplete="cambioMunicipio(); statusDialog2.hide();" />
                                </h:selectOneMenu>

                                <h:outputLabel value="Número matrícula inmobiliaria: "
                                               styleClass="outputLabelStyle" />
                                <h:inputText
                                    value="#{tramitesIperMB.datosConsultaPredio.circuloRegistral}"
                                    size="5" maxlength="3" />
                                <h:inputText
                                    value="#{tramitesIperMB.datosConsultaPredio.matricula}"
                                    size="25" maxlength="20" />


                            </h:panelGrid>
                            <h:panelGrid columns="2">

                                <h:outputLabel value="Número predial: "
                                               styleClass="outputLabelStyle" />
                                <h:panelGroup>

                                    <h:inputText id="s1"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS1}"
                                                 size="1" maxlength="2" title="Departamento"
                                                 disabled="#{cc.attrs.managedBean.seUsanDeptosFijos}" />
                                    <h:inputText id="s2"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS2}"
                                                 size="3" maxlength="3" title="Municipio"
                                                 disabled="#{cc.attrs.managedBean.seUsanDeptosFijos}" />
                                    <h:inputText id="s3"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS3}"
                                                 size="2" maxlength="2" title="Zona" />
                                    <h:inputText id="s4"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS4}"
                                                 size="2" maxlength="2" title="Sector" />
                                    <h:inputText id="s5"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS5}"
                                                 size="2" maxlength="2" title="Comuna" />
                                    <h:inputText id="s6"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS6}"
                                                 size="2" maxlength="2" title="Barrio" />
                                    <h:inputText id="s7"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS7}"
                                                 size="4" maxlength="4" title="Manzana o vereda" />
                                    <h:inputText id="s8"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS8}"
                                                 size="4" maxlength="4" title="Terreno" />
                                    <h:inputText id="s9"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS9}"
                                                 size="1" maxlength="1"
                                                 title="Condición de propiedad: 0 NPH, 2 No ley 14, 3 Bienes uso público, 4 Vías, 5 Mejoras NPH, 6 Mejoras PH, 7 Cementerios, 8 Condominio, 9 PH" />
                                    <h:inputText id="s10"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS10}"
                                                 size="2" maxlength="2" title="No. del edificio o torre" />
                                    <h:inputText id="s11"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS11}"
                                                 size="2" maxlength="2" title="No. de piso dentro del edificio" />
                                    <h:inputText id="s12"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroPredialS12}"
                                                 size="4" maxlength="4" title="No. de unidad en PH o mejora" />

                                    <p:commandButton type="button" ajax="false"
                                                     icon="ui-icon-arrowreturnthick-1-w"
                                                     title="Limpiar número predial"
                                                     onclick="limpiarNP('busquedaTramitesForm');
                                                             return false;" />

                                </h:panelGroup>

                            </h:panelGrid>

                            <h:panelGrid columns="6" id="tipoTramitePG" width="100%">

                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Tipo de trámite: " for="tipoTramite"
                                                   styleClass="outputLabelStyle" />
                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <h:selectOneMenu id="tipoTramite" required="true"
                                                     requiredMessage="Debe seleccionar el tipo de trámite"
                                                     value="#{tramitesIperMB.datosConsultaPredio.tipoTramite}"
                                                     label="Tipo de trámite">
                                        <f:selectItem itemLabel="Seleccionar..." />
                                        <f:selectItems
                                            value="#{tramitesIperMB.tiposTramitePorSolicitud}" />
                                        <p:ajax immediate="false" process="@this"
                                                update="tipoTramitePG"
                                                listener="#{tramitesIperMB.cambioTipoTramite}"
                                                onstart="statusDialog2.show();"
                                                oncomplete="statusDialog2.hide();" />
                                    </h:selectOneMenu>

                                </h:panelGrid>


                                <h:panelGrid columns="2" rendered="#{tramitesIperMB.mutacion}">
                                    <h:outputLabel value="Clase de mutación: " for="claseMutacion"
                                                   styleClass="outputLabelStyle" />
                                </h:panelGrid>
                                <h:selectOneMenu id="claseMutacion" required="true"
                                                 rendered="#{tramitesIperMB.mutacion}"
                                                 requiredMessage="Debe seleccionar la clase de mutación"
                                                 value="#{tramitesIperMB.datosConsultaPredio.claseMutacion}"
                                                 style="position:relative;left:3px;">
                                    <f:selectItem itemLabel="Seleccionar..." />
                                    <f:selectItems value="#{general.mutacionClaseRadicacion}" />
                                    <p:ajax process="@this" update="tipoTramitePG"
                                            listener="#{tramitesIperMB.cambioClaseMutacion}"
                                            onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />
                                </h:selectOneMenu>

                                <h:panelGroup
                                    rendered="#{tramitesIperMB.subtipoTramiteEsRequerido}">
                                    <h:outputLabel value="Subclase: " for="subtipo"
                                                   styleClass="outputLabelStyle"
                                                   rendered="#{tramitesIperMB.subtipoTramiteEsRequerido}" />
                                </h:panelGroup>

                                <h:selectOneMenu id="subtipo"
                                                 value="#{tramitesIperMB.datosConsultaPredio.subtipo}"
                                                 rendered="#{tramitesIperMB.subtipoTramiteEsRequerido}"
                                                 required="#{tramitesIperMB.subtipoTramiteEsRequerido}"
                                                 style="position:relative;left:4px;">
                                    <f:selectItem itemLabel="Seleccionar..." />
                                    <f:selectItems value="#{tramitesIperMB.subtipoClaseMutacionV}" />
                                    <p:ajax immediate="false" onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />
                                    <p:message for="subtipo" display="icon" id="reqSubtipoTramite" />
                                </h:selectOneMenu>

                            </h:panelGrid>
                            <h:panelGrid columns="6" width="100%">

                                <h:panelGrid columns="1">
                                    <h:outputLabel value="Fecha solicitud inicial:"
                                                   for="fechaSolicitudInicial" styleClass="outputLabelStyle" />
                                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <p:calendar id="fechaSolicitudInicial"
                                                value="#{tramitesIperMB.datosConsultaPredio.fechaSolicitudInicial}"
                                                label="Fecha solicitud inicial" required="false"
                                                effect="explode" navigator="true"
                                                pattern="#{general.formatoFecha}" showOn="both"
                                                title="#{general.formatoFechaUsuario}" size="10"
                                                maxdate="#{general.fechaActual}" />
                                    <p:message for="fechaSolicitudInicial" display="icon"></p:message>
                                </h:panelGrid>

                                <h:panelGrid columns="1">
                                    <h:outputLabel value="Fecha solicitud final:"
                                                   for="fechaSolicitudFinal" styleClass="outputLabelStyle" />
                                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <p:calendar id="fechaSolicitudFinal"
                                                value="#{tramitesIperMB.datosConsultaPredio.fechaSolicitudFinal}"
                                                label="Fecha solicitud final" required="false" effect="explode"
                                                navigator="true" pattern="#{general.formatoFecha}"
                                                showOn="both" title="#{general.formatoFechaUsuario}" size="10"
                                                maxdate="#{general.fechaActual}" />
                                    <p:message for="fechaSolicitudFinal" display="icon"></p:message>
                                </h:panelGrid>

                                <h:panelGrid columns="1">
                                    <h:outputLabel value="No. Solicitud:" for="numeroSolicitud"
                                                   styleClass="outputLabelStyle" />
                                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <h:inputText id="numeroSolicitud"
                                                 value="#{tramitesIperMB.datosConsultaPredio.numeroSolicitud}"
                                                 size="15" title="No. Solicitud" />
                                    <p:message for="numeroSolicitud" display="icon"></p:message>
                                </h:panelGrid>

                            </h:panelGrid>

                        </h:panelGrid>


                        <h:panelGrid columns="1" width="100%">
                            <p:outputPanel layout="block" style="text-align:right">
                                <p:commandButton value="Buscar" action="#{tramitesIperMB.buscar}" process="@form"
                                                 onstart="statusDialog2.show();"
                                                 oncomplete="statusDialog2.hide();" update="errores, listadoTramites"
                                                 icon="ui-icon-search"></p:commandButton>
                            </p:outputPanel>
                        </h:panelGrid>

                    </p:panel>
                </h:panelGrid>


                <p:panel
                    header="Información Básica Trámite de Interrelación Catastro-Registro">
                    <p:spacer height="10"></p:spacer>
                    <p:dataTable id="listadoTramites" value="#{tramitesIperMB.tramites}" var="tramite"
                                 emptyMessage="No existen trámites coincidentes para la consulta">

                        <p:column>
                            <f:facet name="header">  
                                Sel  
                            </f:facet>
                            <h:outputText value="#{tramite.seleccionado}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">  
                                Detalle
                            </f:facet>
                            <h:outputText value="sel" />
                        </p:column>

                        <p:column sortBy="#{tramite.departamento.nombre}">
                            <f:facet name="header">  
                                Departamento  
                            </f:facet>
                            <h:outputText value="#{tramite.departamento.nombre}" />
                        </p:column>

                        <p:column sortBy="#{tramite.municipio.nombre}">
                            <f:facet name="header">  
                                Municipio  
                            </f:facet>
                            <h:outputText value="#{tramite.municipio.nombre}" />
                        </p:column>

                        <p:column sortBy="#{tramite.numeroCatastro}">
                            <f:facet name="header">  
                                Nro. predial
                            </f:facet>
                            <h:outputText value="#{tramite.numeroCatastro}" />
                        </p:column>

                        <p:column sortBy="#{tramite.circuloRegistral} #{tramite.matricula}">
                            <f:facet name="header">  
                                Matrícula inmobiliaria
                            </f:facet>
                            <h:outputText value="#{tramite.circuloRegistral} #{tramite.matricula}" />
                        </p:column>

                        <p:column sortBy="#{tramite.tramiteNumeroRadicacion}">
                            <f:facet name="header">  
                                Nro. radicación
                            </f:facet>
                            <h:outputText value="#{tramite.tramiteNumeroRadicacion}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">  
                                Tipo trámite
                            </f:facet>
                            <h:outputText value="sel" />
                        </p:column>

                        <p:column sortBy="#{tramite.solicitudNumero}">
                            <f:facet name="header">  
                                Nro. solicitud
                            </f:facet>
                            <h:outputText value="#{tramite.solicitudNumero}" />
                        </p:column>

                        <p:column sortBy="#{tramite.fechaRadicacion}">
                            <f:facet name="header">  
                                Fecha radicación  
                            </f:facet>
                            <h:outputText value="#{tramite.fechaRadicacion}" />
                        </p:column>

                        <p:column sortBy="#{tramite.numeroResolucion}">
                            <f:facet name="header">  
                                Nro. resolución  
                            </f:facet>
                            <h:outputText value="#{tramite.numeroResolucion}" />
                        </p:column>

                        <p:column sortBy="#{tramite.observaciones}">
                            <f:facet name="header">  
                                Motivo no procede  
                            </f:facet>
                            <h:outputText value="#{tramite.observaciones}" />
                        </p:column>

                    </p:dataTable>
                </p:panel>



                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis" id="cerrarBtn"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{tramitesIperMB.cerrar}" ajax="false"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />



            </h:form>

        </h:panelGrid>










    </ui:define>
</ui:composition>
